package me.km.entities;

import java.util.Collections;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityType;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.ai.attributes.AttributeModifierMap;
import net.minecraft.entity.ai.attributes.Attributes;
import net.minecraft.inventory.EquipmentSlotType;
import net.minecraft.item.ItemStack;
import net.minecraft.util.DamageSource;
import net.minecraft.util.HandSide;
import net.minecraft.world.World;

public class EntityNobody extends LivingEntity {
    public EntityNobody(EntityType<EntityNobody> type, World p_i48577_2_) {
        super(type, p_i48577_2_);
    }

    public static AttributeModifierMap.MutableAttribute getAttributes() {
        return LivingEntity.registerAttributes().createMutableAttribute(Attributes.MAX_HEALTH,
                10.0);
    }

    @Override
    public boolean attackEntityFrom(DamageSource source, float amount) {
        return false;
    }

    @Override
    public void applyKnockback(float strength, double ratioX, double ratioZ) {
    }

    @Override
    public void applyEntityCollision(Entity entityIn) {
    }

    @Override
    public void addVelocity(double x, double y, double z) {
    }

    @Override
    public Iterable<ItemStack> getArmorInventoryList() {
        return Collections.<ItemStack>emptyList();
    }

    @Override
    public ItemStack getItemStackFromSlot(EquipmentSlotType est) {
        return ItemStack.EMPTY;
    }

    @Override
    public void setItemStackToSlot(EquipmentSlotType est, ItemStack is) {
    }

    @Override
    public HandSide getPrimaryHand() {
        return HandSide.LEFT;
    }

    @Override
    public boolean canBeCollidedWith() {
        return false;
    }

    @Override
    protected void collideWithEntity(Entity entityIn) {
    }

    @Override
    public boolean isCustomNameVisible() {
        return true;
    }
}
